Skip to content

Get a listing of all orders.

GET
/api/v1/user/sell/orders

Returns a listing of all orders.

Array<object>
<= 10 items unique items
object
id
required

The order id.

integer
Example
12345
date
required

The date and time of the order.

string format: date-time
Example
2019-06-18T07:32:28Z
currencyPair
required

The currency pair of the order.

string
Example
BTC-EUR
status
required

The current status of the order.

string
Allowed values: cancelled pending in progress blocked completed refunded
Example
completed
feeAmount
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
partnerFee
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
feePercentage

The fee earned by the partner in terms of a percentage for this order.

number
nullable
Example
1.5
paymentMethodFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
networkFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
btcdirectFee
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
partnerOrderIdentifier

Unique identifier provided by the partner.

string
nullable
Example
4ea2b5e9-a413-4359-a8f6-9263ae8a0ee7
spreadFee

U

string
nullable
Example
{
"amount": 0.42,
"currencyCode": "EUR"
}
orderNotCompletedReasons
required

Reasons as of why the order is not yet completed.

Array<object>
default:
object
code
required

The code related to this reason

string
Example
011
description
required

The description of the reason.

string
Example
Your IBAN account is not verified.
solution
required

The proposed solution for this reason.

string
Example
Verify your IBAN account.
userActionRequired
required

If an action from the user is required at this point to progress the order.

boolean
supportActionRequired
required

Indicator if an action from the BTC Direct support department is required.

boolean
Example
true
url

The URL where the action can be executed (only available when userActionRequired is true)

string
nullable
Example
https://my.btcdirect.eu/nl-nl/iban-verification/
Example
[
{
"code": "011",
"description": "Your IBAN account is not verified.",
"solution": "Verify your IBAN account.",
"url": "https://my.btcdirect.eu/nl-nl/iban-verification/",
"userActionRequired": true,
"supportActionRequired": false
}
]
price
required
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
value
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
walletAddress

The address to which the coins should be sent.

string
nullable
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
blockchainInfo
One of:
object
walletAddress
required

The address of the wallet.

string
""
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
walletExplorer
required

Link to the wallet on the wallet explorer.

string
""
Example
https://www.blockchain.com/btc/address/3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
transactionId
required

The unique transaction id.

string
""
Example
f5d8ee39a430901c91a5917b9f2dc19d6d1a0e9cea205b009ca73dd04470b9a6
transactionExplorer
required

Link to the transaction on the blockchain explorer.

string
""
Example
https://www.blockchain.com/btc/tx/f5d8ee39a430901c91a5917b9f2dc19d6d1a0e9cea205b009ca73dd04470b9a6
bankAccount
required

The IBAN account number to which fiat is paid out to.

string
Example
NL37BUNQ2025406444
quotedCrypto
required
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
quotedFiat
required
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
sourceCurrency
One of:

Currency details including optional CAIP-19 asset identifier

object
code
required

The currency code.

string
Example
USDC_SOL
ticker
required

The currency ticker.

string
Example
USDC
name
required

The human-readable currency name.

string
Example
USD Coin (Solana)
caip19
required

CAIP-19 chain-agnostic asset identifier, e.g. solana:5eykt…/spl:EPjFWdd5…

string
Example
solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp/spl:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
targetCurrency
One of:

Currency details including optional CAIP-19 asset identifier

object
code
required

The currency code.

string
Example
USDC_SOL
ticker
required

The currency ticker.

string
Example
USDC
name
required

The human-readable currency name.

string
Example
USD Coin (Solana)
caip19
required

CAIP-19 chain-agnostic asset identifier, e.g. solana:5eykt…/spl:EPjFWdd5…

string
Example
solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp/spl:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}